public static interface MicrometerEndpointBuilderFactory.MicrometerBuilders
| Modifier and Type | Method and Description |
|---|---|
default MicrometerEndpointBuilderFactory.MicrometerEndpointBuilder |
micrometer(String path)
Micrometer (camel-micrometer)
Collect various metrics directly from Camel routes using the
Micrometer library.
|
default MicrometerEndpointBuilderFactory.MicrometerEndpointBuilder |
micrometer(String componentName,
String path)
Micrometer (camel-micrometer)
Collect various metrics directly from Camel routes using the
Micrometer library.
|
default MicrometerEndpointBuilderFactory.MicrometerEndpointBuilder micrometer(String path)
micrometer:metricsType:metricsName
Path parameter: metricsType (required)
Type of metrics
There are 3 enums and the value can be one of: counter,
distribution_summary, timer
Path parameter: metricsName (required)
Name of metrics
Path parameter: tags
Tags of metricspath - metricsType:metricsNamedefault MicrometerEndpointBuilderFactory.MicrometerEndpointBuilder micrometer(String componentName, String path)
micrometer:metricsType:metricsName
Path parameter: metricsType (required)
Type of metrics
There are 3 enums and the value can be one of: counter,
distribution_summary, timer
Path parameter: metricsName (required)
Name of metrics
Path parameter: tags
Tags of metricscomponentName - to use a custom component name for the endpoint
instead of the default namepath - metricsType:metricsNameApache Camel